Hi,
I am trying to use the following command in a script in V6 and it does not appear to be working as I would expect, can someone please verify if the command is working or not.
Rhino.AddArcPtTanPt
Roger
Hi,
I am trying to use the following command in a script in V6 and it does not appear to be working as I would expect, can someone please verify if the command is working or not.
Rhino.AddArcPtTanPt
Roger
You did’t say what you are doing and what you expect from that, so how can anyone guess or verify? (exactly what?)
Do you expect Degrees or Radians?
// Rolf
Seems to be working here:
Option Explicit
Call Main()
Sub Main()
Dim spt,ept,dirvec
spt = Array(0, 0, 0)
ept = Array(10, 0, 0)
dirvec = Rhino.VectorCreate(Array(0, 1, 0), spt)
Call Rhino.AddArcPtTanPt(spt, dirvec, ept)
End Sub
(Half-circle is created from 0 to 10,0,0)
–Mitch
Hi Mitch,
Thanks for your help yet again, the only difference I have between your code and mine is the fact that you used VectorCreate and I had just calculate the vector and used that, which when I inspected their values worked out to be the same. The bottom line is I have now used Rhino.VectorCreate and all is working so todays lesson is if a vector is required let Rhino work it out.
Cheers
Roger
You can create the vector directly, this also works:
Option Explicit
Call Main()
Sub Main()
Dim spt,ept,dirvec
spt = Array(0, 0, 0)
ept = Array(10, 0, 0)
dirvec = Array(0, 1, 0)
Call Rhino.AddArcPtTanPt(spt, dirvec, ept)
End Sub
–Mitch